   Xmorph: a digital image warping and dissolving, or morphing, program.

   Copyright (C) 1994-1999 Michael J. Gourlay Copyright (C) 2000-2009
by A C G Mennucci

1 Synopsis
**********

gtkmorph

   xmorph [-start srcimgfile [-finish destimgfile]] [-src srcmeshfile
[-dst dstmeshfile ]] [-help]

   morph [-start srcimgfile [-finish destimgfile]] [-src srcmeshfile
[-dst dstmeshfile ]] [-out outimgfile ] [-mt morphtween ] [-dt
dissolvetween ] [-help]

2 Description
*************

GTKMorph is a digital image warping and dissolving program, also known
as a "morphing" program.  It is a graphical user interface that uses the
GTK toolkit.  The primary use of gtkmorph is to generate and modify
meshes which control the shape of an image.  GTKMorph also has the
capacity to dissolve multiple images together, and to generate a
sequence of warped and dissolved images, and movies (using the external
program mencoder).  When this sequence is made into a movie, it is
called a "morph".

   xmorph is an older graphical user interface that uses the X Window
System base libraries.

   morph is a morphing program with no graphical user interface.  morph
performs image warping and dissolving but provides no means to create
or modify meshes.  The intent is to use morph after meshes have already
been generated with xmorph. Since morph has no GUI, it can be run as a
background job and can be distributed over many machines or processes.
This parallelization of the task can significanly speed up the image
processing.  morph can run on machines which have no display
whatsoever, and is therefore very portable.

   Both xmorph and morph are unfortunately a bit outdated and buggy.

   xmorph, gtkmorph and morph use a library called libmorph which can
be used separately in the creation of other morphing programs.

   If imgfile names are provided on the command line, then those images
are loaded in.  Otherwise, xmorph generates images to be used in lieu
of images provided by the user.  Images may be loaded from menus within
xmorph.

   xmorph and gtkmorph have built-in help pages that answer questions
about the details of its use.  Look at the online help menus for more
information.

3 Options
*********

  1. This is the first item.

  2. This is the second item.

4 Making movies
***************

xmorph is NOT a tool for making movies.  xmorph is intended to be used
with OTHER tools for editting movies in the digital domain.  I do not
intend to add movie making abilities to xmorph.

   GTKMorph instead has the ability of making movies. See inline help.

   Here is a brief explanation of how to make a movie from the images
generated by xmorph:

   xmorph uses the TrueVision Targa (TGA) image file format.  You can
use PBMplus, netpbm, ImageMagick or some other program to convert Targa
to other still image formats.  (This will be necessary if, for example,
you use the Berkeley MPEG encoder or want to make an animated GIF.)
See, e.g., ftp://ikaros.fysik4.kth.se/pub/netpbm/.

   Use another program, such as Berkeley's mpeg_encode, or SGI's
dmconvert, or whirlgif to turn the sequence of images that xmorph
created into a single animation.  See, e.g.,
ftp://mm-ftp.cs.berkeley.edu/pub/multimedia/mpeg/encode/.

   Use another program, such as mpeg_play, xanim or movieplayer, to
view the animation.  See, e.g.,
ftp://mm-ftp.cs.berkeley.edu/pub/multimedia/mpeg/play/.

   There are plenty of other programs available for viewing movies.

5 See also
**********

X(1), ppmtotga(1) (part of netpbm or PBMplus), tgatoppm(1) (part of
netpbm or PBMplus), whirlgif(1), mpeg_encode(1) from U.C. Berkeley,
mpeg_play(1) from U.C. Berkeley, ImageMagick, dmconvert(1), (under
Silicon Graphics IRIX).  movieplayer(1) (under Silicon Graphics IRIX),
xanim(1), mencoder.

6 See also
**********

The only image file type currently supported by xmorph is Truevision
Targa (TGA) but xmorph will load any type of Targa, such as 8-bit,
15-bit, or 16-bit colormapped or grayscale; 24-bit or 32-bit true color
(with or without alpha channel);  run- length encoded or uncompressed.

   Some versions of the program "xv" can not read xmorph's TGA image
files.  This is a bug in "xv", not in xmorph.

   Use image conversion programs (such as those listed in the SEE ALSO
section) to convert to and from TGA image files for use with xmorph and
morph .

   GTKmorph can instead read and write images in many different formats.